Random crashes (sorry, can't be more specific)

RESOLVED DUPLICATE of bug 154699

Status

SeaMonkey
General
RESOLVED DUPLICATE of bug 154699
16 years ago
13 years ago

People

(Reporter: Scott Nursten, Assigned: asa)

Tracking

Trunk
PowerPC
Mac OS X

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

16 years ago
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-US; rv:1.1) Gecko/20020826
Build Identifier: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-US; rv:1.1) Gecko/20020826

I have had numerous crashes with the version of Mozilla reported above. I have
crash logs (created my Mac OS X console) for all crashes. 

Reproducible: Didn't try

Steps to Reproduce:





Date/Time:  2002-08-29 14:29:02 +0100
OS Version: 10.2 (Build 6C115)
Host:       jack.s2s.ltd.uk

Command:    Mozilla
PID:        590

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000034

Thread 0:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x9284ee30 in JVM_GetCPMethodClassNameUTF
 #4   0x92861a94 in JVM_Send
 #5   0x9285eb14 in JVM_FillInStackTrace
 #6   0x92868468 in JVM_DoPrivileged
 #7   0x9288e0e0 in JVM_GetMethodIxExceptionTableEntry
 #8   0x92883e80 in JVM_DefineClass
 #9   0x929bce6c in eh_rest_world_r10
 #10  0x92845840 in JVM_Yield
 #11  0x92899bd0 in JVM_Open
 #12  0x094fdb90 in 0x94fdb90
 #13  0x0950adb0 in 0x950adb0
 #14  0x0950cf08 in 0x950cf08
 #15  0x094ffe60 in 0x94ffe60
 #16  0x093fd68c in 0x93fd68c
 #17  0x093fd68c in 0x93fd68c
 #18  0x093fd5cc in 0x93fd5cc
 #19  0x093fd5cc in 0x93fd5cc
 #20  0x093fd5cc in 0x93fd5cc
 #21  0x093fd5cc in 0x93fd5cc
 #22  0xa2843c38 in typeinfo name for std::bad_exception
 #23  0x92838bdc in JVM_CurrentTimeMillis
 #24  0x92872ed4 in JVM_GetCPClassNameUTF
 #25  0x92865c80 in JVM_DoPrivileged
 #26  0x093ff668 in 0x93ff668
 #27  0x093fd5cc in 0x93fd5cc
 #28  0xa2843c38 in typeinfo name for std::bad_exception
 #29  0x92838bdc in JVM_CurrentTimeMillis
 #30  0x92872ed4 in JVM_GetCPClassNameUTF
 #31  0x9288f144 in JVM_MonitorNotifyAll
 #32  0x9285fd68 in JVM_GetCPFieldSignatureUTF
 #33  0x92844a98 in JVM_GetClassLoader
 #34  0x92875e64 in JVM_GetCPClassNameUTF
 #35  0x9288199c in JVM_DefineClass
 #36  0x92869ed4 in JVM_DoPrivileged
 #37  0x928480dc in __moddi3
 #38  0x09405d7c in 0x9405d7c
 #39  0xa2843c38 in typeinfo name for std::bad_exception
 #40  0x92838bdc in JVM_CurrentTimeMillis
 #41  0x92872ed4 in JVM_GetCPClassNameUTF
 #42  0x9288f144 in JVM_MonitorNotifyAll
 #43  0x9285fd68 in JVM_GetCPFieldSignatureUTF
 #44  0x92844a98 in JVM_GetClassLoader
 #45  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #46  0x92844a98 in JVM_GetClassLoader
 #47  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #48  0x92844a98 in JVM_GetClassLoader
 #49  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #50  0x92844a98 in JVM_GetClassLoader
 #51  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #52  0x92844a98 in JVM_GetClassLoader
 #53  0x928452e8 in JVM_GetMethodIxExceptionTableLength
 #54  0x928a22c4 in JVM_Close
 #55  0x8cfd23e4 in
com_apple_mrj_JavaEmbedding_JE_AppletViewer::intitializeMethodIDs(JNIEnv_*)
 #56  0x8cfd1dec in intitializeAllMethodIDs(JNIEnv_*)
 #57  0x8cfd3068 in InitJavaEmbedding(JNIEnv_*&)
 #58  0x8cfd57d4 in CreateJavaApplet
 #59  0x029a6734 in MRJContext::loadApplet(void)
 #60  0x029a7298 in MRJContext::setWindow(nsPluginWindow *)
 #61  0x029a2ea4 in MRJPluginInstance::SetWindow(nsPluginWindow *)
 #62  0x023fdbec in InstantiateEmbededPlugin__16nsPluginHostImplFPCcP6nsIURIP22nsI
 #63  0x02c37124 in InstantiatePlugin__13nsObjectFrameFP14nsIPresContextR19nsHTMLR
 #64  0x02c35e28 in 0x2c35e28
 #65  0x02c6cc24 in 0x2c6cc24
 #66  0x02c65c58 in 0x2c65c58
 #67  0x02c65938 in DoReflowInlineFrames__12nsBlockFrameFR18nsBlockReflowStateR12n
 #68  0x02c655f8 in nsBlockFrame::DoReflowInlineFramesAuto(nsBlockReflowState &)
 #69  0x02c65378 in ReflowInlineFrames__12nsBlockFrameFR18nsBlockReflowState19nsLi
 #70  0x02c63578 in ReflowLine__12nsBlockFrameFR18nsBlockReflowState19nsLineList_i
 #71  0x02c62b34 in 0x2c62b34
 #72  0x02c60e3c in 0x2c60e3c
 #73  0x02bbc91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #74  0x02c0ad80 in 0x2c0ad80
 #75  0x02bbc91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #76  0x02c2b4a8 in 0x2c2b4a8
 #77  0x02c2c5a0 in Reflow__15nsTableRowFrameFP14nsIPresContextR19nsHTMLReflowMetr
 #78  0x02bbc91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #79  0x02c2e3b0 in ReflowChildren__20nsTableRowGroupFrameFP14nsIPresContextR19nsH
 #80  0x02c30324 in Reflow__20nsTableRowGroupFrameFP14nsIPresContextR19nsHTMLReflo
 #81  0x02bbc91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #82  0x02c17c74 in 0x2c17c74
 #83  0x02c13ff0 in 0x2c13ff0
 #84  0x02bbc91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #85  0x02c26280 in OuterReflowChild__17nsTableOuterFrameFP14nsIPresContextP8nsIFr
 #86  0x02c28044 in Reflow__17nsTableOuterFrameFP14nsIPresContextR19nsHTMLReflowMe
 #87  0x02c89db8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #88  0x02c89818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #89  0x02c64cac in 0x2c64cac
 #90  0x02c6319c in 0x2c6319c
 #91  0x02c62b34 in 0x2c62b34
 #92  0x02c60e3c in 0x2c60e3c
 #93  0x02c89db8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #94  0x02c89818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #95  0x02c64cac in 0x2c64cac
 #96  0x02c6319c in 0x2c6319c
 #97  0x02c62b34 in 0x2c62b34
 #98  0x02c60e3c in 0x2c60e3c
 #99  0x02bbc91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #100 0x02d602f4 in CanvasFrame::Reflow(nsIPresContext *, nsHTMLReflowMetrics &,  &)
 #101 0x02d1d2a0 in Reflow__19nsBoxToBlockAdaptorFR16nsBoxLayoutStateP14nsIPresCon
 #102 0x02d1cc8c in nsBoxToBlockAdaptor::DoLayout(nsBoxLayoutState &)
 #103 0x02d1781c in nsBox::Layout(nsBoxLayoutState &)
 #104 0x02d495cc in 0x2d495cc
 #105 0x02d1781c in nsBox::Layout(nsBoxLayoutState &)
 #106 0x02cd80a4 in nsBoxFrame::Reflow(nsIPresContext *, nsHTMLReflowMetrics &,
 const &)
 #107 0x02bbc91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #108 0x02ca7578 in Reflow__13ViewportFrameFP14nsIPresContextR19nsHTMLReflowMetric
 #109 0x02bd13f8 in Dispatch__17IncrementalReflowFP14nsIPresContextR19nsHTMLReflow
 #110 0x02be240c in PresShell::ProcessReflowCommands(int)
 #111 0x02be1dc4 in HandlePLEvent(ReflowEvent *)
 #112 0x002ce070 in PL_HandleEvent
 #113 0x002cdedc in PL_ProcessPendingEvents
 #114 0x00274efc in nsEventQueueImpl::ProcessPendingEvents(void)
 #115 0x01ad7c5c in nsMacNSPREventQueueHandler::ProcessPLEventQueue(void)
 #116 0x01ad7b00 in nsMacNSPREventQueueHandler::RepeatAction(EventRecord const &)
 #117 0x01942b14 in Repeater::DoRepeaters(EventRecord const &)
 #118 0x01aee218 in nsMacMessagePump::DispatchEvent(int, EventRecord *)
 #119 0x01aedf40 in nsMacMessagePump::DoMessagePump(void)
 #120 0x01aed8bc in nsAppShell::Run(void)
 #121 0x01aaa53c in nsAppShellService::Run(void)
 #122 0x001a400c in main1(int, char **, nsISupports *)
 #123 0x001a4a4c in main

Thread 1:
 #0   0x9000582c in syscall
 #1   0x90515d9c in BSD_waitevent
 #2   0x9051576c in CarbonSelectThreadFunc
 #3   0x90021428 in _pthread_body

Thread 2:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x9051dda0 in CarbonOperationThreadFunc
 #3   0x90021428 in _pthread_body

Thread 3:
 #0   0x90042d68 in semaphore_timedwait_signal_trap
 #1   0x9003ef94 in _pthread_cond_wait
 #2   0x90233470 in TSWaitOnSemaphoreCommon
 #3   0x9023c298 in TimerThread
 #4   0x90021428 in _pthread_body

Thread 4:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x90233454 in TSWaitOnSemaphoreCommon
 #3   0x90248b2c in AsyncFileThread(void*)
 #4   0x90021428 in _pthread_body

Thread 5:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x90525b90 in CarbonInetOperThreadFunc
 #3   0x90021428 in _pthread_body

Thread 6:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x928ec28c in JNI_CreateJavaVM_Impl
 #3   0x928ec224 in JNI_CreateJavaVM_Impl
 #4   0x928a51fc in JVM_GetClassMethodsCount
 #5   0x90021428 in _pthread_body

Thread 7 Crashed:
 #0   0x929ba640 in eh_rest_world_r10
 #1   0x92857a38 in JVM_GetMethodIxLocalsCount
 #2   0x9285c128 in JVM_GetCPMethodNameUTF
 #3   0x928917f4 in JVM_MonitorNotifyAll
 #4   0x92886e6c in JVM_SetThreadPriority
 #5   0x92864964 in JVM_Send
 #6   0x9290114c in JNI_CreateJavaVM_Impl
 #7   0x928a51fc in JVM_GetClassMethodsCount
 #8   0x90021428 in _pthread_body

Thread 8:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x92845d80 in JVM_ArrayCopy
 #4   0x9285d620 in JVM_MonitorNotify
 #5   0x9285e2f8 in JVM_MonitorWait
 #6   0x093ff668 in 0x93ff668
 #7   0x093fd68c in 0x93fd68c
 #8   0x093fd68c in 0x93fd68c
 #9   0xa2843c38 in typeinfo name for std::bad_exception
 #10  0x92838bdc in JVM_CurrentTimeMillis
 #11  0x92878c28 in JVM_FindClassFromClass
 #12  0x92892c90 in JVM_IsSameClassPackage
 #13  0x9288cf70 in JVM_GetMethodIxExceptionTableEntry
 #14  0x928787a0 in JVM_FindClassFromClass
 #15  0x928a51fc in JVM_GetClassMethodsCount
 #16  0x90021428 in _pthread_body

Thread 9:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x92845d80 in JVM_ArrayCopy
 #4   0x9285d620 in JVM_MonitorNotify
 #5   0x9285e2f8 in JVM_MonitorWait
 #6   0x093ff668 in 0x93ff668
 #7   0x093fd68c in 0x93fd68c
 #8   0x093fd5cc in 0x93fd5cc
 #9   0x093fd5cc in 0x93fd5cc
 #10  0xa2843c38 in typeinfo name for std::bad_exception
 #11  0x92838bdc in JVM_CurrentTimeMillis
 #12  0x92878c28 in JVM_FindClassFromClass
 #13  0x92892c90 in JVM_IsSameClassPackage
 #14  0x9288cf70 in JVM_GetMethodIxExceptionTableEntry
 #15  0x928787a0 in JVM_FindClassFromClass
 #16  0x928a51fc in JVM_GetClassMethodsCount
 #17  0x90021428 in _pthread_body

Thread 10:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283de9c in JVM_NewInstance
 #3   0x92844e18 in JVM_GetClassLoader
 #4   0x92844ba4 in JVM_GetClassLoader
 #5   0x928a51fc in JVM_GetClassMethodsCount
 #6   0x90021428 in _pthread_body

Thread 11:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x9285eb40 in JVM_FillInStackTrace
 #4   0x92903300 in JVM_InitProperties
 #5   0x92903138 in JVM_InitProperties
 #6   0x928787a0 in JVM_FindClassFromClass
 #7   0x928a51fc in JVM_GetClassMethodsCount
 #8   0x90021428 in _pthread_body

Thread 12:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x9285eb40 in JVM_FillInStackTrace
 #4   0x9288890c in JVM_StartThread
 #5   0x92876c10 in JVM_FindLoadedClass
 #6   0x928787a0 in JVM_FindClassFromClass
 #7   0x928a51fc in JVM_GetClassMethodsCount
 #8   0x90021428 in _pthread_body

PPC Thread State:
  srr0: 0x929ba640 srr1: 0x0000f030                vrsave: 0x00000000
   xer: 0x00000000   lr: 0x92857a38  ctr: 0x928498e0   mq: 0x00000000
    r0: 0x00000030   r1: 0xf0407a40   r2: 0x92857a38   r3: 0x6c1631d8
    r4: 0x6c1631d8   r5: 0x6c163200   r6: 0x00000000   r7: 0x0000000c
    r8: 0xa2833a58   r9: 0x00000000  r10: 0x00000008  r11: 0x00000b18
   r12: 0x928498e0  r13: 0xa282bd1c  r14: 0x00000000  r15: 0xf0407b90
   r16: 0xa28320f8  r17: 0x00000000  r18: 0x00160000  r19: 0xa282bd1c
   r20: 0xf0407b60  r21: 0xa282bd1c  r22: 0xa282bd1c  r23: 0xa282bd1c
   r24: 0xbfff8f9c  r25: 0x045e7950  r26: 0x00000000  r27: 0x00000000
   r28: 0xa28305b0  r29: 0x045e2b10  r30: 0x6c1631d8  r31: 0x9285bd1c

**********

Date/Time:  2002-08-29 14:30:08 +0100
OS Version: 10.2 (Build 6C115)
Host:       jack.s2s.ltd.uk

Command:    Mozilla
PID:        816

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000034

Thread 0:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x9284ee30 in JVM_GetCPMethodClassNameUTF
 #4   0x92861a94 in JVM_Send
 #5   0x9285eb14 in JVM_FillInStackTrace
 #6   0x92868468 in JVM_DoPrivileged
 #7   0x9288e0e0 in JVM_GetMethodIxExceptionTableEntry
 #8   0x92883e80 in JVM_DefineClass
 #9   0x929bce6c in eh_rest_world_r10
 #10  0x92845840 in JVM_Yield
 #11  0x92899bd0 in JVM_Open
 #12  0x04972b90 in 0x4972b90
 #13  0x0497fdb0 in 0x497fdb0
 #14  0x04981f08 in 0x4981f08
 #15  0x04974e60 in 0x4974e60
 #16  0x0487268c in 0x487268c
 #17  0x0487268c in 0x487268c
 #18  0x048725cc in 0x48725cc
 #19  0x048725cc in 0x48725cc
 #20  0x048725cc in 0x48725cc
 #21  0x048725cc in 0x48725cc
 #22  0xa2843c38 in typeinfo name for std::bad_exception
 #23  0x92838bdc in JVM_CurrentTimeMillis
 #24  0x92872ed4 in JVM_GetCPClassNameUTF
 #25  0x92865c80 in JVM_DoPrivileged
 #26  0x04874668 in 0x4874668
 #27  0x048725cc in 0x48725cc
 #28  0xa2843c38 in typeinfo name for std::bad_exception
 #29  0x92838bdc in JVM_CurrentTimeMillis
 #30  0x92872ed4 in JVM_GetCPClassNameUTF
 #31  0x9288f144 in JVM_MonitorNotifyAll
 #32  0x9285fd68 in JVM_GetCPFieldSignatureUTF
 #33  0x92844a98 in JVM_GetClassLoader
 #34  0x92875e64 in JVM_GetCPClassNameUTF
 #35  0x9288199c in JVM_DefineClass
 #36  0x92869ed4 in JVM_DoPrivileged
 #37  0x928480dc in __moddi3
 #38  0x0487ad7c in 0x487ad7c
 #39  0xa2843c38 in typeinfo name for std::bad_exception
 #40  0x92838bdc in JVM_CurrentTimeMillis
 #41  0x92872ed4 in JVM_GetCPClassNameUTF
 #42  0x9288f144 in JVM_MonitorNotifyAll
 #43  0x9285fd68 in JVM_GetCPFieldSignatureUTF
 #44  0x92844a98 in JVM_GetClassLoader
 #45  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #46  0x92844a98 in JVM_GetClassLoader
 #47  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #48  0x92844a98 in JVM_GetClassLoader
 #49  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #50  0x92844a98 in JVM_GetClassLoader
 #51  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #52  0x92844a98 in JVM_GetClassLoader
 #53  0x928452e8 in JVM_GetMethodIxExceptionTableLength
 #54  0x928a22c4 in JVM_Close
 #55  0x8cfd23e4 in
com_apple_mrj_JavaEmbedding_JE_AppletViewer::intitializeMethodIDs(JNIEnv_*)
 #56  0x8cfd1dec in intitializeAllMethodIDs(JNIEnv_*)
 #57  0x8cfd3068 in InitJavaEmbedding(JNIEnv_*&)
 #58  0x8cfd57d4 in CreateJavaApplet
 #59  0x026c8734 in MRJContext::loadApplet(void)
 #60  0x026c9298 in MRJContext::setWindow(nsPluginWindow *)
 #61  0x026c4ea4 in MRJPluginInstance::SetWindow(nsPluginWindow *)
 #62  0x023febec in InstantiateEmbededPlugin__16nsPluginHostImplFPCcP6nsIURIP22nsI
 #63  0x029f8124 in InstantiatePlugin__13nsObjectFrameFP14nsIPresContextR19nsHTMLR
 #64  0x029f6e28 in 0x29f6e28
 #65  0x02a2dc24 in 0x2a2dc24
 #66  0x02a26c58 in 0x2a26c58
 #67  0x02a26938 in DoReflowInlineFrames__12nsBlockFrameFR18nsBlockReflowStateR12n
 #68  0x02a265f8 in nsBlockFrame::DoReflowInlineFramesAuto(nsBlockReflowState &)
 #69  0x02a26378 in ReflowInlineFrames__12nsBlockFrameFR18nsBlockReflowState19nsLi
 #70  0x02a24578 in ReflowLine__12nsBlockFrameFR18nsBlockReflowState19nsLineList_i
 #71  0x02a23b34 in 0x2a23b34
 #72  0x02a21e3c in 0x2a21e3c
 #73  0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #74  0x029cbd80 in 0x29cbd80
 #75  0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #76  0x029ec4a8 in 0x29ec4a8
 #77  0x029ed5a0 in Reflow__15nsTableRowFrameFP14nsIPresContextR19nsHTMLReflowMetr
 #78  0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #79  0x029ef3b0 in ReflowChildren__20nsTableRowGroupFrameFP14nsIPresContextR19nsH
 #80  0x029f1324 in Reflow__20nsTableRowGroupFrameFP14nsIPresContextR19nsHTMLReflo
 #81  0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #82  0x029d8c74 in 0x29d8c74
 #83  0x029d4ff0 in 0x29d4ff0
 #84  0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #85  0x029e7280 in OuterReflowChild__17nsTableOuterFrameFP14nsIPresContextP8nsIFr
 #86  0x029e9044 in Reflow__17nsTableOuterFrameFP14nsIPresContextR19nsHTMLReflowMe
 #87  0x02a4adb8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #88  0x02a4a818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #89  0x02a25cac in 0x2a25cac
 #90  0x02a2419c in 0x2a2419c
 #91  0x02a23b34 in 0x2a23b34
 #92  0x02a21e3c in 0x2a21e3c
 #93  0x02a4adb8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #94  0x02a4a818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #95  0x02a25cac in 0x2a25cac
 #96  0x02a2419c in 0x2a2419c
 #97  0x02a23b34 in 0x2a23b34
 #98  0x02a21e3c in 0x2a21e3c
 #99  0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #100 0x02b212f4 in CanvasFrame::Reflow(nsIPresContext *, nsHTMLReflowMetrics &,  &)
 #101 0x02ade2a0 in Reflow__19nsBoxToBlockAdaptorFR16nsBoxLayoutStateP14nsIPresCon
 #102 0x02addc8c in nsBoxToBlockAdaptor::DoLayout(nsBoxLayoutState &)
 #103 0x02ad881c in nsBox::Layout(nsBoxLayoutState &)
 #104 0x02b0a5cc in 0x2b0a5cc
 #105 0x02ad881c in nsBox::Layout(nsBoxLayoutState &)
 #106 0x02a990a4 in nsBoxFrame::Reflow(nsIPresContext *, nsHTMLReflowMetrics &,
 const &)
 #107 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #108 0x02a68578 in Reflow__13ViewportFrameFP14nsIPresContextR19nsHTMLReflowMetric
 #109 0x029923f8 in Dispatch__17IncrementalReflowFP14nsIPresContextR19nsHTMLReflow
 #110 0x029a340c in PresShell::ProcessReflowCommands(int)
 #111 0x029a2dc4 in HandlePLEvent(ReflowEvent *)
 #112 0x002ce070 in PL_HandleEvent
 #113 0x002cdedc in PL_ProcessPendingEvents
 #114 0x00274efc in nsEventQueueImpl::ProcessPendingEvents(void)
 #115 0x01ad7c5c in nsMacNSPREventQueueHandler::ProcessPLEventQueue(void)
 #116 0x01ad7b00 in nsMacNSPREventQueueHandler::RepeatAction(EventRecord const &)
 #117 0x01942b14 in Repeater::DoRepeaters(EventRecord const &)
 #118 0x01aee218 in nsMacMessagePump::DispatchEvent(int, EventRecord *)
 #119 0x01aedf40 in nsMacMessagePump::DoMessagePump(void)
 #120 0x01aed8bc in nsAppShell::Run(void)
 #121 0x01aaa53c in nsAppShellService::Run(void)
 #122 0x001a400c in main1(int, char **, nsISupports *)
 #123 0x001a4a4c in main

Thread 1:
 #0   0x9000582c in syscall
 #1   0x90515d9c in BSD_waitevent
 #2   0x9051576c in CarbonSelectThreadFunc
 #3   0x90021428 in _pthread_body

Thread 2:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x9051dda0 in CarbonOperationThreadFunc
 #3   0x90021428 in _pthread_body

Thread 3:
 #0   0x90042d68 in semaphore_timedwait_signal_trap
 #1   0x9003ef94 in _pthread_cond_wait
 #2   0x90233470 in TSWaitOnSemaphoreCommon
 #3   0x9023c298 in TimerThread
 #4   0x90021428 in _pthread_body

Thread 4:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x90233454 in TSWaitOnSemaphoreCommon
 #3   0x90248b2c in AsyncFileThread(void*)
 #4   0x90021428 in _pthread_body

Thread 5:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x90525b90 in CarbonInetOperThreadFunc
 #3   0x90021428 in _pthread_body

Thread 6:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x928ec28c in JNI_CreateJavaVM_Impl
 #3   0x928ec224 in JNI_CreateJavaVM_Impl
 #4   0x928a51fc in JVM_GetClassMethodsCount
 #5   0x90021428 in _pthread_body

Thread 7 Crashed:
 #0   0x929ba640 in eh_rest_world_r10
 #1   0x92857a38 in JVM_GetMethodIxLocalsCount
 #2   0x9285c128 in JVM_GetCPMethodNameUTF
 #3   0x928917f4 in JVM_MonitorNotifyAll
 #4   0x92886e6c in JVM_SetThreadPriority
 #5   0x92864964 in JVM_Send
 #6   0x9290114c in JNI_CreateJavaVM_Impl
 #7   0x928a51fc in JVM_GetClassMethodsCount
 #8   0x90021428 in _pthread_body

Thread 8:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x92845d80 in JVM_ArrayCopy
 #4   0x9285d620 in JVM_MonitorNotify
 #5   0x9285e2f8 in JVM_MonitorWait
 #6   0x04874668 in 0x4874668
 #7   0x0487268c in 0x487268c
 #8   0x0487268c in 0x487268c
 #9   0xa2843c38 in typeinfo name for std::bad_exception
 #10  0x92838bdc in JVM_CurrentTimeMillis
 #11  0x92878c28 in JVM_FindClassFromClass
 #12  0x92892c90 in JVM_IsSameClassPackage
 #13  0x9288cf70 in JVM_GetMethodIxExceptionTableEntry
 #14  0x928787a0 in JVM_FindClassFromClass
 #15  0x928a51fc in JVM_GetClassMethodsCount
 #16  0x90021428 in _pthread_body

Thread 9:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x92845d80 in JVM_ArrayCopy
 #4   0x9285d620 in JVM_MonitorNotify
 #5   0x9285e2f8 in JVM_MonitorWait
 #6   0x04874668 in 0x4874668
 #7   0x0487268c in 0x487268c
 #8   0x048725cc in 0x48725cc
 #9   0x048725cc in 0x48725cc
 #10  0xa2843c38 in typeinfo name for std::bad_exception
 #11  0x92838bdc in JVM_CurrentTimeMillis
 #12  0x92878c28 in JVM_FindClassFromClass
 #13  0x92892c90 in JVM_IsSameClassPackage
 #14  0x9288cf70 in JVM_GetMethodIxExceptionTableEntry
 #15  0x928787a0 in JVM_FindClassFromClass
 #16  0x928a51fc in JVM_GetClassMethodsCount
 #17  0x90021428 in _pthread_body

Thread 10:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283de9c in JVM_NewInstance
 #3   0x92844e18 in JVM_GetClassLoader
 #4   0x92844ba4 in JVM_GetClassLoader
 #5   0x928a51fc in JVM_GetClassMethodsCount
 #6   0x90021428 in _pthread_body

Thread 11:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x9285eb40 in JVM_FillInStackTrace
 #4   0x92903300 in JVM_InitProperties
 #5   0x92903138 in JVM_InitProperties
 #6   0x928787a0 in JVM_FindClassFromClass
 #7   0x928a51fc in JVM_GetClassMethodsCount
 #8   0x90021428 in _pthread_body

Thread 12:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x9285eb40 in JVM_FillInStackTrace
 #4   0x9288890c in JVM_StartThread
 #5   0x92876c10 in JVM_FindLoadedClass
 #6   0x928787a0 in JVM_FindClassFromClass
 #7   0x928a51fc in JVM_GetClassMethodsCount
 #8   0x90021428 in _pthread_body

PPC Thread State:
  srr0: 0x929ba640 srr1: 0x0000f030                vrsave: 0x00000000
   xer: 0x00000000   lr: 0x92857a38  ctr: 0x928498e0   mq: 0x00000000
    r0: 0x00000030   r1: 0xf0386a40   r2: 0x92857a38   r3: 0x6c1631d8
    r4: 0x6c1631d8   r5: 0x6c163200   r6: 0x00000000   r7: 0x0000000c
    r8: 0xa2833a58   r9: 0x00000000  r10: 0x00000008  r11: 0x00000b18
   r12: 0x928498e0  r13: 0xa282bd1c  r14: 0x00000000  r15: 0xf0386b90
   r16: 0xa28320f8  r17: 0x00000000  r18: 0x00160000  r19: 0xa282bd1c
   r20: 0xf0386b60  r21: 0xa282bd1c  r22: 0xa282bd1c  r23: 0xa282bd1c
   r24: 0xbfff8f9c  r25: 0x03a63950  r26: 0x00000000  r27: 0x00000000
   r28: 0xa28305b0  r29: 0x03a5eb10  r30: 0x6c1631d8  r31: 0x9285bd1c

**********

Date/Time:  2002-09-01 12:16:33 +0100
OS Version: 10.2 (Build 6C115)
Host:       jack.s2s.ltd.uk

Command:    Mozilla
PID:        460

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000034

Thread 0:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x9284ee30 in JVM_GetCPMethodClassNameUTF
 #4   0x92861a94 in JVM_Send
 #5   0x9285eb14 in JVM_FillInStackTrace
 #6   0x92868468 in JVM_DoPrivileged
 #7   0x9288e0e0 in JVM_GetMethodIxExceptionTableEntry
 #8   0x92883e80 in JVM_DefineClass
 #9   0x929bce6c in eh_rest_world_r10
 #10  0x92845840 in JVM_Yield
 #11  0x92899bd0 in JVM_Open
 #12  0x06708b90 in 0x6708b90
 #13  0x06715db0 in 0x6715db0
 #14  0x06717f08 in 0x6717f08
 #15  0x0670ae60 in 0x670ae60
 #16  0x0660868c in 0x660868c
 #17  0x0660868c in 0x660868c
 #18  0x066085cc in 0x66085cc
 #19  0x066085cc in 0x66085cc
 #20  0x066085cc in 0x66085cc
 #21  0x066085cc in 0x66085cc
 #22  0xa2843c38 in typeinfo name for std::bad_exception
 #23  0x92838bdc in JVM_CurrentTimeMillis
 #24  0x92872ed4 in JVM_GetCPClassNameUTF
 #25  0x92865c80 in JVM_DoPrivileged
 #26  0x0660a668 in 0x660a668
 #27  0x066085cc in 0x66085cc
 #28  0xa2843c38 in typeinfo name for std::bad_exception
 #29  0x92838bdc in JVM_CurrentTimeMillis
 #30  0x92872ed4 in JVM_GetCPClassNameUTF
 #31  0x9288f144 in JVM_MonitorNotifyAll
 #32  0x9285fd68 in JVM_GetCPFieldSignatureUTF
 #33  0x92844a98 in JVM_GetClassLoader
 #34  0x92875e64 in JVM_GetCPClassNameUTF
 #35  0x9288199c in JVM_DefineClass
 #36  0x92869ed4 in JVM_DoPrivileged
 #37  0x928480dc in __moddi3
 #38  0x06610d7c in 0x6610d7c
 #39  0xa2843c38 in typeinfo name for std::bad_exception
 #40  0x92838bdc in JVM_CurrentTimeMillis
 #41  0x92872ed4 in JVM_GetCPClassNameUTF
 #42  0x9288f144 in JVM_MonitorNotifyAll
 #43  0x9285fd68 in JVM_GetCPFieldSignatureUTF
 #44  0x92844a98 in JVM_GetClassLoader
 #45  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #46  0x92844a98 in JVM_GetClassLoader
 #47  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #48  0x92844a98 in JVM_GetClassLoader
 #49  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #50  0x92844a98 in JVM_GetClassLoader
 #51  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #52  0x92844a98 in JVM_GetClassLoader
 #53  0x928452e8 in JVM_GetMethodIxExceptionTableLength
 #54  0x928a22c4 in JVM_Close
 #55  0x8cfd23e4 in
com_apple_mrj_JavaEmbedding_JE_AppletViewer::intitializeMethodIDs(JNIEnv_*)
 #56  0x8cfd1dec in intitializeAllMethodIDs(JNIEnv_*)
 #57  0x8cfd3068 in InitJavaEmbedding(JNIEnv_*&)
 #58  0x8cfd57d4 in CreateJavaApplet
 #59  0x026c8734 in MRJContext::loadApplet(void)
 #60  0x026c9298 in MRJContext::setWindow(nsPluginWindow *)
 #61  0x026c4ea4 in MRJPluginInstance::SetWindow(nsPluginWindow *)
 #62  0x023febec in InstantiateEmbededPlugin__16nsPluginHostImplFPCcP6nsIURIP22nsI
 #63  0x029f8124 in InstantiatePlugin__13nsObjectFrameFP14nsIPresContextR19nsHTMLR
 #64  0x029f6e28 in 0x29f6e28
 #65  0x02a2dc24 in 0x2a2dc24
 #66  0x02a26c58 in 0x2a26c58
 #67  0x02a26938 in DoReflowInlineFrames__12nsBlockFrameFR18nsBlockReflowStateR12n
 #68  0x02a265f8 in nsBlockFrame::DoReflowInlineFramesAuto(nsBlockReflowState &)
 #69  0x02a26378 in ReflowInlineFrames__12nsBlockFrameFR18nsBlockReflowState19nsLi
 #70  0x02a24578 in ReflowLine__12nsBlockFrameFR18nsBlockReflowState19nsLineList_i
 #71  0x02a23b34 in 0x2a23b34
 #72  0x02a21e3c in 0x2a21e3c
 #73  0x02a4adb8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #74  0x02a4a818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #75  0x02a25cac in 0x2a25cac
 #76  0x02a2419c in 0x2a2419c
 #77  0x02a23b34 in 0x2a23b34
 #78  0x02a21e3c in 0x2a21e3c
 #79  0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #80  0x029cbd80 in 0x29cbd80
 #81  0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #82  0x029ec4a8 in 0x29ec4a8
 #83  0x029ed5a0 in Reflow__15nsTableRowFrameFP14nsIPresContextR19nsHTMLReflowMetr
 #84  0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #85  0x029ef3b0 in ReflowChildren__20nsTableRowGroupFrameFP14nsIPresContextR19nsH
 #86  0x029f1324 in Reflow__20nsTableRowGroupFrameFP14nsIPresContextR19nsHTMLReflo
 #87  0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #88  0x029d8c74 in 0x29d8c74
 #89  0x029d4ff0 in 0x29d4ff0
 #90  0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #91  0x029e7280 in OuterReflowChild__17nsTableOuterFrameFP14nsIPresContextP8nsIFr
 #92  0x029e9044 in Reflow__17nsTableOuterFrameFP14nsIPresContextR19nsHTMLReflowMe
 #93  0x02a4adb8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #94  0x02a4a818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #95  0x02a25cac in 0x2a25cac
 #96  0x02a2419c in 0x2a2419c
 #97  0x02a23b34 in 0x2a23b34
 #98  0x02a21e3c in 0x2a21e3c
 #99  0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #100 0x029cbd80 in 0x29cbd80
 #101 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #102 0x029ec4a8 in 0x29ec4a8
 #103 0x029ed5a0 in Reflow__15nsTableRowFrameFP14nsIPresContextR19nsHTMLReflowMetr
 #104 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #105 0x029ef3b0 in ReflowChildren__20nsTableRowGroupFrameFP14nsIPresContextR19nsH
 #106 0x029f1324 in Reflow__20nsTableRowGroupFrameFP14nsIPresContextR19nsHTMLReflo
 #107 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #108 0x029d8c74 in 0x29d8c74
 #109 0x029d4ff0 in 0x29d4ff0
 #110 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #111 0x029e7280 in OuterReflowChild__17nsTableOuterFrameFP14nsIPresContextP8nsIFr
 #112 0x029e9044 in Reflow__17nsTableOuterFrameFP14nsIPresContextR19nsHTMLReflowMe
 #113 0x02a4adb8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #114 0x02a4a818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #115 0x02a25cac in 0x2a25cac
 #116 0x02a2419c in 0x2a2419c
 #117 0x02a23b34 in 0x2a23b34
 #118 0x02a21e3c in 0x2a21e3c
 #119 0x02a4adb8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #120 0x02a4a818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #121 0x02a25cac in 0x2a25cac
 #122 0x02a2419c in 0x2a2419c
 #123 0x02a23b34 in 0x2a23b34
 #124 0x02a21e3c in 0x2a21e3c
 #125 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #126 0x029cbd80 in 0x29cbd80
 #127 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #128 0x029ec4a8 in 0x29ec4a8
 #129 0x029ed5a0 in Reflow__15nsTableRowFrameFP14nsIPresContextR19nsHTMLReflowMetr
 #130 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #131 0x029ef3b0 in ReflowChildren__20nsTableRowGroupFrameFP14nsIPresContextR19nsH
 #132 0x029f1324 in Reflow__20nsTableRowGroupFrameFP14nsIPresContextR19nsHTMLReflo
 #133 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #134 0x029d8c74 in 0x29d8c74
 #135 0x029d4ff0 in 0x29d4ff0
 #136 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #137 0x029e7280 in OuterReflowChild__17nsTableOuterFrameFP14nsIPresContextP8nsIFr
 #138 0x029e9044 in Reflow__17nsTableOuterFrameFP14nsIPresContextR19nsHTMLReflowMe
 #139 0x02a4adb8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #140 0x02a4a818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #141 0x02a25cac in 0x2a25cac
 #142 0x02a2419c in 0x2a2419c
 #143 0x02a23b34 in 0x2a23b34
 #144 0x02a21e3c in 0x2a21e3c
 #145 0x02a4adb8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #146 0x02a4a818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #147 0x02a25cac in 0x2a25cac
 #148 0x02a2419c in 0x2a2419c
 #149 0x02a23b34 in 0x2a23b34
 #150 0x02a21e3c in 0x2a21e3c
 #151 0x02a4adb8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #152 0x02a4a818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #153 0x02a25cac in 0x2a25cac
 #154 0x02a2419c in 0x2a2419c
 #155 0x02a23b34 in 0x2a23b34
 #156 0x02a21e3c in 0x2a21e3c
 #157 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #158 0x02b212f4 in CanvasFrame::Reflow(nsIPresContext *, nsHTMLReflowMetrics &,  &)
 #159 0x02ade2a0 in Reflow__19nsBoxToBlockAdaptorFR16nsBoxLayoutStateP14nsIPresCon
 #160 0x02addc8c in nsBoxToBlockAdaptor::DoLayout(nsBoxLayoutState &)
 #161 0x02ad881c in nsBox::Layout(nsBoxLayoutState &)
 #162 0x02b0a5cc in 0x2b0a5cc
 #163 0x02ad881c in nsBox::Layout(nsBoxLayoutState &)
 #164 0x02a990a4 in nsBoxFrame::Reflow(nsIPresContext *, nsHTMLReflowMetrics &,
 const &)
 #165 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #166 0x02a68578 in Reflow__13ViewportFrameFP14nsIPresContextR19nsHTMLReflowMetric
 #167 0x029923f8 in Dispatch__17IncrementalReflowFP14nsIPresContextR19nsHTMLReflow
 #168 0x029a340c in PresShell::ProcessReflowCommands(int)
 #169 0x029a2dc4 in HandlePLEvent(ReflowEvent *)
 #170 0x002ce070 in PL_HandleEvent
 #171 0x002cdedc in PL_ProcessPendingEvents
 #172 0x00274efc in nsEventQueueImpl::ProcessPendingEvents(void)
 #173 0x01ad7c5c in nsMacNSPREventQueueHandler::ProcessPLEventQueue(void)
 #174 0x01ad7b00 in nsMacNSPREventQueueHandler::RepeatAction(EventRecord const &)
 #175 0x01942b14 in Repeater::DoRepeaters(EventRecord const &)
 #176 0x01aee218 in nsMacMessagePump::DispatchEvent(int, EventRecord *)
 #177 0x01aedf40 in nsMacMessagePump::DoMessagePump(void)
 #178 0x01aed8bc in nsAppShell::Run(void)
 #179 0x01aaa53c in nsAppShellService::Run(void)
 #180 0x001a400c in main1(int, char **, nsISupports *)
 #181 0x001a4a4c in main

Thread 1:
 #0   0x9000582c in syscall
 #1   0x90515d9c in BSD_waitevent
 #2   0x9051576c in CarbonSelectThreadFunc
 #3   0x90021428 in _pthread_body

Thread 2:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x9051dda0 in CarbonOperationThreadFunc
 #3   0x90021428 in _pthread_body

Thread 3:
 #0   0x90042d68 in semaphore_timedwait_signal_trap
 #1   0x9003ef94 in _pthread_cond_wait
 #2   0x90233470 in TSWaitOnSemaphoreCommon
 #3   0x9023c298 in TimerThread
 #4   0x90021428 in _pthread_body

Thread 4:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x90233454 in TSWaitOnSemaphoreCommon
 #3   0x90248b2c in AsyncFileThread(void*)
 #4   0x90021428 in _pthread_body

Thread 5:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x90525b90 in CarbonInetOperThreadFunc
 #3   0x90021428 in _pthread_body

Thread 6:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x901490b0 in __CFRunLoopRun
 #3   0x90181578 in CFRunLoopRunSpecific
 #4   0x905e2d90 in
XIOAudioDeviceManager::NotificationThread(XIOAudioDeviceManager*)
 #5   0x905e2cac in CAPThread::Entry(CAPThread*)
 #6   0x90021428 in _pthread_body

Thread 7:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x90233454 in TSWaitOnSemaphoreCommon
 #3   0x90233d94 in DeferredTaskThread
 #4   0x90021428 in _pthread_body

Thread 8:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x928ec28c in JNI_CreateJavaVM_Impl
 #3   0x928ec224 in JNI_CreateJavaVM_Impl
 #4   0x928a51fc in JVM_GetClassMethodsCount
 #5   0x90021428 in _pthread_body

Thread 9 Crashed:
 #0   0x929ba640 in eh_rest_world_r10
 #1   0x92857a38 in JVM_GetMethodIxLocalsCount
 #2   0x9285c128 in JVM_GetCPMethodNameUTF
 #3   0x928917f4 in JVM_MonitorNotifyAll
 #4   0x92886e6c in JVM_SetThreadPriority
 #5   0x92864964 in JVM_Send
 #6   0x9290114c in JNI_CreateJavaVM_Impl
 #7   0x928a51fc in JVM_GetClassMethodsCount
 #8   0x90021428 in _pthread_body

Thread 10:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x92845d80 in JVM_ArrayCopy
 #4   0x9285d620 in JVM_MonitorNotify
 #5   0x9285e2f8 in JVM_MonitorWait
 #6   0x0660a668 in 0x660a668
 #7   0x0660868c in 0x660868c
 #8   0x0660868c in 0x660868c
 #9   0xa2843c38 in typeinfo name for std::bad_exception
 #10  0x92838bdc in JVM_CurrentTimeMillis
 #11  0x92878c28 in JVM_FindClassFromClass
 #12  0x92892c90 in JVM_IsSameClassPackage
 #13  0x9288cf70 in JVM_GetMethodIxExceptionTableEntry
 #14  0x928787a0 in JVM_FindClassFromClass
 #15  0x928a51fc in JVM_GetClassMethodsCount
 #16  0x90021428 in _pthread_body

Thread 11:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x92845d80 in JVM_ArrayCopy
 #4   0x9285d620 in JVM_MonitorNotify
 #5   0x9285e2f8 in JVM_MonitorWait
 #6   0x0660a668 in 0x660a668
 #7   0x0660868c in 0x660868c
 #8   0x066085cc in 0x66085cc
 #9   0x066085cc in 0x66085cc
 #10  0xa2843c38 in typeinfo name for std::bad_exception
 #11  0x92838bdc in JVM_CurrentTimeMillis
 #12  0x92878c28 in JVM_FindClassFromClass
 #13  0x92892c90 in JVM_IsSameClassPackage
 #14  0x9288cf70 in JVM_GetMethodIxExceptionTableEntry
 #15  0x928787a0 in JVM_FindClassFromClass
 #16  0x928a51fc in JVM_GetClassMethodsCount
 #17  0x90021428 in _pthread_body

Thread 12:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283de9c in JVM_NewInstance
 #3   0x92844e18 in JVM_GetClassLoader
 #4   0x92844ba4 in JVM_GetClassLoader
 #5   0x928a51fc in JVM_GetClassMethodsCount
 #6   0x90021428 in _pthread_body

Thread 13:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x9285eb40 in JVM_FillInStackTrace
 #4   0x92903300 in JVM_InitProperties
 #5   0x92903138 in JVM_InitProperties
 #6   0x928787a0 in JVM_FindClassFromClass
 #7   0x928a51fc in JVM_GetClassMethodsCount
 #8   0x90021428 in _pthread_body

Thread 14:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x9285eb40 in JVM_FillInStackTrace
 #4   0x9288890c in JVM_StartThread
 #5   0x92876c10 in JVM_FindLoadedClass
 #6   0x928787a0 in JVM_FindClassFromClass
 #7   0x928a51fc in JVM_GetClassMethodsCount
 #8   0x90021428 in _pthread_body

PPC Thread State:
  srr0: 0x929ba640 srr1: 0x0000f030                vrsave: 0x00000000
   xer: 0x00000000   lr: 0x92857a38  ctr: 0x928498e0   mq: 0x00000000
    r0: 0x00000030   r1: 0xf0509a40   r2: 0x92857a38   r3: 0x6c1631d8
    r4: 0x6c1631d8   r5: 0x6c163200   r6: 0x00000000   r7: 0x0000000c
    r8: 0xa2833a58   r9: 0x00000000  r10: 0x00000008  r11: 0x00000b18
   r12: 0x928498e0  r13: 0xa282bd1c  r14: 0x00000000  r15: 0xf0509b90
   r16: 0xa28320f8  r17: 0x00000000  r18: 0x00160000  r19: 0xa282bd1c
   r20: 0xf0509b60  r21: 0xa282bd1c  r22: 0xa282bd1c  r23: 0xa282bd1c
   r24: 0xbfff351c  r25: 0x05508950  r26: 0x00000000  r27: 0x00000000
   r28: 0xa28305b0  r29: 0x05503b10  r30: 0x6c1631d8  r31: 0x9285bd1c

**********

Date/Time:  2002-09-01 14:12:40 +0100
OS Version: 10.2 (Build 6C115)
Host:       jack.s2s.ltd.uk

Command:    Mozilla
PID:        562

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000034

Thread 0:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x9284ee30 in JVM_GetCPMethodClassNameUTF
 #4   0x92861a94 in JVM_Send
 #5   0x9285eb14 in JVM_FillInStackTrace
 #6   0x92868468 in JVM_DoPrivileged
 #7   0x9288e0e0 in JVM_GetMethodIxExceptionTableEntry
 #8   0x92883e80 in JVM_DefineClass
 #9   0x929bce6c in eh_rest_world_r10
 #10  0x92845840 in JVM_Yield
 #11  0x92899bd0 in JVM_Open
 #12  0x0526db90 in 0x526db90
 #13  0x0527adb0 in 0x527adb0
 #14  0x0527cf08 in 0x527cf08
 #15  0x0526fe60 in 0x526fe60
 #16  0x0516d68c in 0x516d68c
 #17  0x0516d68c in 0x516d68c
 #18  0x0516d5cc in 0x516d5cc
 #19  0x0516d5cc in 0x516d5cc
 #20  0x0516d5cc in 0x516d5cc
 #21  0x0516d5cc in 0x516d5cc
 #22  0xa2843c38 in typeinfo name for std::bad_exception
 #23  0x92838bdc in JVM_CurrentTimeMillis
 #24  0x92872ed4 in JVM_GetCPClassNameUTF
 #25  0x92865c80 in JVM_DoPrivileged
 #26  0x0516f668 in 0x516f668
 #27  0x0516d5cc in 0x516d5cc
 #28  0xa2843c38 in typeinfo name for std::bad_exception
 #29  0x92838bdc in JVM_CurrentTimeMillis
 #30  0x92872ed4 in JVM_GetCPClassNameUTF
 #31  0x9288f144 in JVM_MonitorNotifyAll
 #32  0x9285fd68 in JVM_GetCPFieldSignatureUTF
 #33  0x92844a98 in JVM_GetClassLoader
 #34  0x92875e64 in JVM_GetCPClassNameUTF
 #35  0x9288199c in JVM_DefineClass
 #36  0x92869ed4 in JVM_DoPrivileged
 #37  0x928480dc in __moddi3
 #38  0x05175d7c in 0x5175d7c
 #39  0xa2843c38 in typeinfo name for std::bad_exception
 #40  0x92838bdc in JVM_CurrentTimeMillis
 #41  0x92872ed4 in JVM_GetCPClassNameUTF
 #42  0x9288f144 in JVM_MonitorNotifyAll
 #43  0x9285fd68 in JVM_GetCPFieldSignatureUTF
 #44  0x92844a98 in JVM_GetClassLoader
 #45  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #46  0x92844a98 in JVM_GetClassLoader
 #47  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #48  0x92844a98 in JVM_GetClassLoader
 #49  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #50  0x92844a98 in JVM_GetClassLoader
 #51  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #52  0x92844a98 in JVM_GetClassLoader
 #53  0x928452e8 in JVM_GetMethodIxExceptionTableLength
 #54  0x928a22c4 in JVM_Close
 #55  0x8cfd23e4 in
com_apple_mrj_JavaEmbedding_JE_AppletViewer::intitializeMethodIDs(JNIEnv_*)
 #56  0x8cfd1dec in intitializeAllMethodIDs(JNIEnv_*)
 #57  0x8cfd3068 in InitJavaEmbedding(JNIEnv_*&)
 #58  0x8cfd57d4 in CreateJavaApplet
 #59  0x026c8734 in MRJContext::loadApplet(void)
 #60  0x026c9298 in MRJContext::setWindow(nsPluginWindow *)
 #61  0x026c4ea4 in MRJPluginInstance::SetWindow(nsPluginWindow *)
 #62  0x023febec in InstantiateEmbededPlugin__16nsPluginHostImplFPCcP6nsIURIP22nsI
 #63  0x029f8124 in InstantiatePlugin__13nsObjectFrameFP14nsIPresContextR19nsHTMLR
 #64  0x029f6e28 in 0x29f6e28
 #65  0x02a2dc24 in 0x2a2dc24
 #66  0x02a26c58 in 0x2a26c58
 #67  0x02a26938 in DoReflowInlineFrames__12nsBlockFrameFR18nsBlockReflowStateR12n
 #68  0x02a265f8 in nsBlockFrame::DoReflowInlineFramesAuto(nsBlockReflowState &)
 #69  0x02a26378 in ReflowInlineFrames__12nsBlockFrameFR18nsBlockReflowState19nsLi
 #70  0x02a24578 in ReflowLine__12nsBlockFrameFR18nsBlockReflowState19nsLineList_i
 #71  0x02a23b34 in 0x2a23b34
 #72  0x02a21e3c in 0x2a21e3c
 #73  0x02a4adb8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #74  0x02a4a818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #75  0x02a25cac in 0x2a25cac
 #76  0x02a2419c in 0x2a2419c
 #77  0x02a23b34 in 0x2a23b34
 #78  0x02a21e3c in 0x2a21e3c
 #79  0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #80  0x029cbd80 in 0x29cbd80
 #81  0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #82  0x029ec4a8 in 0x29ec4a8
 #83  0x029ed5a0 in Reflow__15nsTableRowFrameFP14nsIPresContextR19nsHTMLReflowMetr
 #84  0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #85  0x029ef3b0 in ReflowChildren__20nsTableRowGroupFrameFP14nsIPresContextR19nsH
 #86  0x029f1324 in Reflow__20nsTableRowGroupFrameFP14nsIPresContextR19nsHTMLReflo
 #87  0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #88  0x029d8c74 in 0x29d8c74
 #89  0x029d4ff0 in 0x29d4ff0
 #90  0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #91  0x029e7280 in OuterReflowChild__17nsTableOuterFrameFP14nsIPresContextP8nsIFr
 #92  0x029e9044 in Reflow__17nsTableOuterFrameFP14nsIPresContextR19nsHTMLReflowMe
 #93  0x02a4adb8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #94  0x02a4a818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #95  0x02a25cac in 0x2a25cac
 #96  0x02a2419c in 0x2a2419c
 #97  0x02a23b34 in 0x2a23b34
 #98  0x02a21e3c in 0x2a21e3c
 #99  0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #100 0x029cbd80 in 0x29cbd80
 #101 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #102 0x029ec4a8 in 0x29ec4a8
 #103 0x029ed5a0 in Reflow__15nsTableRowFrameFP14nsIPresContextR19nsHTMLReflowMetr
 #104 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #105 0x029ef3b0 in ReflowChildren__20nsTableRowGroupFrameFP14nsIPresContextR19nsH
 #106 0x029f1324 in Reflow__20nsTableRowGroupFrameFP14nsIPresContextR19nsHTMLReflo
 #107 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #108 0x029d8c74 in 0x29d8c74
 #109 0x029d4ff0 in 0x29d4ff0
 #110 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #111 0x029e7280 in OuterReflowChild__17nsTableOuterFrameFP14nsIPresContextP8nsIFr
 #112 0x029e9044 in Reflow__17nsTableOuterFrameFP14nsIPresContextR19nsHTMLReflowMe
 #113 0x02a4adb8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #114 0x02a4a818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #115 0x02a25cac in 0x2a25cac
 #116 0x02a2419c in 0x2a2419c
 #117 0x02a23b34 in 0x2a23b34
 #118 0x02a21e3c in 0x2a21e3c
 #119 0x02a4adb8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #120 0x02a4a818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #121 0x02a25cac in 0x2a25cac
 #122 0x02a2419c in 0x2a2419c
 #123 0x02a23b34 in 0x2a23b34
 #124 0x02a21e3c in 0x2a21e3c
 #125 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #126 0x029cbd80 in 0x29cbd80
 #127 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #128 0x029ec4a8 in 0x29ec4a8
 #129 0x029ed5a0 in Reflow__15nsTableRowFrameFP14nsIPresContextR19nsHTMLReflowMetr
 #130 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #131 0x029ef3b0 in ReflowChildren__20nsTableRowGroupFrameFP14nsIPresContextR19nsH
 #132 0x029f1324 in Reflow__20nsTableRowGroupFrameFP14nsIPresContextR19nsHTMLReflo
 #133 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #134 0x029d8c74 in 0x29d8c74
 #135 0x029d4ff0 in 0x29d4ff0
 #136 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #137 0x029e7280 in OuterReflowChild__17nsTableOuterFrameFP14nsIPresContextP8nsIFr
 #138 0x029e9044 in Reflow__17nsTableOuterFrameFP14nsIPresContextR19nsHTMLReflowMe
 #139 0x02a4adb8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #140 0x02a4a818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #141 0x02a25cac in 0x2a25cac
 #142 0x02a2419c in 0x2a2419c
 #143 0x02a23b34 in 0x2a23b34
 #144 0x02a21e3c in 0x2a21e3c
 #145 0x02a4adb8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #146 0x02a4a818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #147 0x02a25cac in 0x2a25cac
 #148 0x02a2419c in 0x2a2419c
 #149 0x02a23b34 in 0x2a23b34
 #150 0x02a21e3c in 0x2a21e3c
 #151 0x02a4adb8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #152 0x02a4a818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #153 0x02a25cac in 0x2a25cac
 #154 0x02a2419c in 0x2a2419c
 #155 0x02a23b34 in 0x2a23b34
 #156 0x02a21e3c in 0x2a21e3c
 #157 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #158 0x02b212f4 in CanvasFrame::Reflow(nsIPresContext *, nsHTMLReflowMetrics &,  &)
 #159 0x02ade2a0 in Reflow__19nsBoxToBlockAdaptorFR16nsBoxLayoutStateP14nsIPresCon
 #160 0x02addc8c in nsBoxToBlockAdaptor::DoLayout(nsBoxLayoutState &)
 #161 0x02ad881c in nsBox::Layout(nsBoxLayoutState &)
 #162 0x02b0a5cc in 0x2b0a5cc
 #163 0x02ad881c in nsBox::Layout(nsBoxLayoutState &)
 #164 0x02a990a4 in nsBoxFrame::Reflow(nsIPresContext *, nsHTMLReflowMetrics &,
 const &)
 #165 0x0297d91c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #166 0x02a68578 in Reflow__13ViewportFrameFP14nsIPresContextR19nsHTMLReflowMetric
 #167 0x029923f8 in Dispatch__17IncrementalReflowFP14nsIPresContextR19nsHTMLReflow
 #168 0x029a340c in PresShell::ProcessReflowCommands(int)
 #169 0x029a2dc4 in HandlePLEvent(ReflowEvent *)
 #170 0x002ce070 in PL_HandleEvent
 #171 0x002cdedc in PL_ProcessPendingEvents
 #172 0x00274efc in nsEventQueueImpl::ProcessPendingEvents(void)
 #173 0x01ad7c5c in nsMacNSPREventQueueHandler::ProcessPLEventQueue(void)
 #174 0x01ad7b00 in nsMacNSPREventQueueHandler::RepeatAction(EventRecord const &)
 #175 0x01942b14 in Repeater::DoRepeaters(EventRecord const &)
 #176 0x01aee218 in nsMacMessagePump::DispatchEvent(int, EventRecord *)
 #177 0x01aedf40 in nsMacMessagePump::DoMessagePump(void)
 #178 0x01aed8bc in nsAppShell::Run(void)
 #179 0x01aaa53c in nsAppShellService::Run(void)
 #180 0x001a400c in main1(int, char **, nsISupports *)
 #181 0x001a4a4c in main

Thread 1:
 #0   0x9000582c in syscall
 #1   0x90515d9c in BSD_waitevent
 #2   0x9051576c in CarbonSelectThreadFunc
 #3   0x90021428 in _pthread_body

Thread 2:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x9051dda0 in CarbonOperationThreadFunc
 #3   0x90021428 in _pthread_body

Thread 3:
 #0   0x90042d68 in semaphore_timedwait_signal_trap
 #1   0x9003ef94 in _pthread_cond_wait
 #2   0x90233470 in TSWaitOnSemaphoreCommon
 #3   0x9023c298 in TimerThread
 #4   0x90021428 in _pthread_body

Thread 4:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x90233454 in TSWaitOnSemaphoreCommon
 #3   0x90248b2c in AsyncFileThread(void*)
 #4   0x90021428 in _pthread_body

Thread 5:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x90525b90 in CarbonInetOperThreadFunc
 #3   0x90021428 in _pthread_body

Thread 6:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x928ec28c in JNI_CreateJavaVM_Impl
 #3   0x928ec224 in JNI_CreateJavaVM_Impl
 #4   0x928a51fc in JVM_GetClassMethodsCount
 #5   0x90021428 in _pthread_body

Thread 7 Crashed:
 #0   0x929ba640 in eh_rest_world_r10
 #1   0x92857a38 in JVM_GetMethodIxLocalsCount
 #2   0x9285c128 in JVM_GetCPMethodNameUTF
 #3   0x928917f4 in JVM_MonitorNotifyAll
 #4   0x92886e6c in JVM_SetThreadPriority
 #5   0x92864964 in JVM_Send
 #6   0x9290114c in JNI_CreateJavaVM_Impl
 #7   0x928a51fc in JVM_GetClassMethodsCount
 #8   0x90021428 in _pthread_body

Thread 8:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x92845d80 in JVM_ArrayCopy
 #4   0x9285d620 in JVM_MonitorNotify
 #5   0x9285e2f8 in JVM_MonitorWait
 #6   0x0516f668 in 0x516f668
 #7   0x0516d68c in 0x516d68c
 #8   0x0516d68c in 0x516d68c
 #9   0xa2843c38 in typeinfo name for std::bad_exception
 #10  0x92838bdc in JVM_CurrentTimeMillis
 #11  0x92878c28 in JVM_FindClassFromClass
 #12  0x92892c90 in JVM_IsSameClassPackage
 #13  0x9288cf70 in JVM_GetMethodIxExceptionTableEntry
 #14  0x928787a0 in JVM_FindClassFromClass
 #15  0x928a51fc in JVM_GetClassMethodsCount
 #16  0x90021428 in _pthread_body

Thread 9:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x92845d80 in JVM_ArrayCopy
 #4   0x9285d620 in JVM_MonitorNotify
 #5   0x9285e2f8 in JVM_MonitorWait
 #6   0x0516f668 in 0x516f668
 #7   0x0516d68c in 0x516d68c
 #8   0x0516d5cc in 0x516d5cc
 #9   0x0516d5cc in 0x516d5cc
 #10  0xa2843c38 in typeinfo name for std::bad_exception
 #11  0x92838bdc in JVM_CurrentTimeMillis
 #12  0x92878c28 in JVM_FindClassFromClass
 #13  0x92892c90 in JVM_IsSameClassPackage
 #14  0x9288cf70 in JVM_GetMethodIxExceptionTableEntry
 #15  0x928787a0 in JVM_FindClassFromClass
 #16  0x928a51fc in JVM_GetClassMethodsCount
 #17  0x90021428 in _pthread_body

Thread 10:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283de9c in JVM_NewInstance
 #3   0x92844e18 in JVM_GetClassLoader
 #4   0x92844ba4 in JVM_GetClassLoader
 #5   0x928a51fc in JVM_GetClassMethodsCount
 #6   0x90021428 in _pthread_body

Thread 11:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x9285eb40 in JVM_FillInStackTrace
 #4   0x92903300 in JVM_InitProperties
 #5   0x92903138 in JVM_InitProperties
 #6   0x928787a0 in JVM_FindClassFromClass
 #7   0x928a51fc in JVM_GetClassMethodsCount
 #8   0x90021428 in _pthread_body

Thread 12:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x9285eb40 in JVM_FillInStackTrace
 #4   0x9288890c in JVM_StartThread
 #5   0x92876c10 in JVM_FindLoadedClass
 #6   0x928787a0 in JVM_FindClassFromClass
 #7   0x928a51fc in JVM_GetClassMethodsCount
 #8   0x90021428 in _pthread_body

PPC Thread State:
  srr0: 0x929ba640 srr1: 0x0000f030                vrsave: 0x00000000
   xer: 0x00000000   lr: 0x92857a38  ctr: 0x928498e0   mq: 0x00000000
    r0: 0x00000030   r1: 0xf0407a40   r2: 0x92857a38   r3: 0x6c1631d8
    r4: 0x6c1631d8   r5: 0x6c163200   r6: 0x00000000   r7: 0x0000000c
    r8: 0xa2833a58   r9: 0x00000000  r10: 0x00000008  r11: 0x00000b18
   r12: 0x928498e0  r13: 0xa282bd1c  r14: 0x00000000  r15: 0xf0407b90
   r16: 0xa28320f8  r17: 0x00000000  r18: 0x00160000  r19: 0xa282bd1c
   r20: 0xf0407b60  r21: 0xa282bd1c  r22: 0xa282bd1c  r23: 0xa282bd1c
   r24: 0xbfff351c  r25: 0x04366950  r26: 0x00000000  r27: 0x00000000
   r28: 0xa28305b0  r29: 0x04361b10  r30: 0x6c1631d8  r31: 0x9285bd1c

**********

Date/Time:  2002-09-02 15:25:25 +0100
OS Version: 10.2 (Build 6C115)
Host:       jack.s2s.ltd.uk

Command:    Mozilla
PID:        517

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000034

Thread 0:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x9284ee30 in JVM_GetCPMethodClassNameUTF
 #4   0x92861a94 in JVM_Send
 #5   0x9285eb14 in JVM_FillInStackTrace
 #6   0x92868468 in JVM_DoPrivileged
 #7   0x9288e0e0 in JVM_GetMethodIxExceptionTableEntry
 #8   0x92883e80 in JVM_DefineClass
 #9   0x929bce6c in eh_rest_world_r10
 #10  0x92845840 in JVM_Yield
 #11  0x92899bd0 in JVM_Open
 #12  0x058d6b90 in 0x58d6b90
 #13  0x058e3db0 in 0x58e3db0
 #14  0x058e5f08 in 0x58e5f08
 #15  0x058d8e60 in 0x58d8e60
 #16  0x057d668c in 0x57d668c
 #17  0x057d668c in 0x57d668c
 #18  0x057d65cc in 0x57d65cc
 #19  0x057d65cc in 0x57d65cc
 #20  0x057d65cc in 0x57d65cc
 #21  0x057d65cc in 0x57d65cc
 #22  0xa2843c38 in typeinfo name for std::bad_exception
 #23  0x92838bdc in JVM_CurrentTimeMillis
 #24  0x92872ed4 in JVM_GetCPClassNameUTF
 #25  0x92865c80 in JVM_DoPrivileged
 #26  0x057d8668 in 0x57d8668
 #27  0x057d65cc in 0x57d65cc
 #28  0xa2843c38 in typeinfo name for std::bad_exception
 #29  0x92838bdc in JVM_CurrentTimeMillis
 #30  0x92872ed4 in JVM_GetCPClassNameUTF
 #31  0x9288f144 in JVM_MonitorNotifyAll
 #32  0x9285fd68 in JVM_GetCPFieldSignatureUTF
 #33  0x92844a98 in JVM_GetClassLoader
 #34  0x92875e64 in JVM_GetCPClassNameUTF
 #35  0x9288199c in JVM_DefineClass
 #36  0x92869ed4 in JVM_DoPrivileged
 #37  0x928480dc in __moddi3
 #38  0x057ded7c in 0x57ded7c
 #39  0xa2843c38 in typeinfo name for std::bad_exception
 #40  0x92838bdc in JVM_CurrentTimeMillis
 #41  0x92872ed4 in JVM_GetCPClassNameUTF
 #42  0x9288f144 in JVM_MonitorNotifyAll
 #43  0x9285fd68 in JVM_GetCPFieldSignatureUTF
 #44  0x92844a98 in JVM_GetClassLoader
 #45  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #46  0x92844a98 in JVM_GetClassLoader
 #47  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #48  0x92844a98 in JVM_GetClassLoader
 #49  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #50  0x92844a98 in JVM_GetClassLoader
 #51  0x9285fc40 in JVM_GetCPFieldSignatureUTF
 #52  0x92844a98 in JVM_GetClassLoader
 #53  0x928452e8 in JVM_GetMethodIxExceptionTableLength
 #54  0x928a22c4 in JVM_Close
 #55  0x8cfd23e4 in
com_apple_mrj_JavaEmbedding_JE_AppletViewer::intitializeMethodIDs(JNIEnv_*)
 #56  0x8cfd1dec in intitializeAllMethodIDs(JNIEnv_*)
 #57  0x8cfd3068 in InitJavaEmbedding(JNIEnv_*&)
 #58  0x8cfd57d4 in CreateJavaApplet
 #59  0x0249d734 in MRJContext::loadApplet(void)
 #60  0x0249e298 in MRJContext::setWindow(nsPluginWindow *)
 #61  0x02499ea4 in MRJPluginInstance::SetWindow(nsPluginWindow *)
 #62  0x023f6bec in InstantiateEmbededPlugin__16nsPluginHostImplFPCcP6nsIURIP22nsI
 #63  0x029ee124 in InstantiatePlugin__13nsObjectFrameFP14nsIPresContextR19nsHTMLR
 #64  0x029ece28 in 0x29ece28
 #65  0x02a23c24 in 0x2a23c24
 #66  0x02a1cc58 in 0x2a1cc58
 #67  0x02a1c938 in DoReflowInlineFrames__12nsBlockFrameFR18nsBlockReflowStateR12n
 #68  0x02a1c5f8 in nsBlockFrame::DoReflowInlineFramesAuto(nsBlockReflowState &)
 #69  0x02a1c378 in ReflowInlineFrames__12nsBlockFrameFR18nsBlockReflowState19nsLi
 #70  0x02a1a578 in ReflowLine__12nsBlockFrameFR18nsBlockReflowState19nsLineList_i
 #71  0x02a19b34 in 0x2a19b34
 #72  0x02a17e3c in 0x2a17e3c
 #73  0x0297391c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #74  0x029c1d80 in 0x29c1d80
 #75  0x0297391c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #76  0x029e24a8 in 0x29e24a8
 #77  0x029e35a0 in Reflow__15nsTableRowFrameFP14nsIPresContextR19nsHTMLReflowMetr
 #78  0x0297391c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #79  0x029e53b0 in ReflowChildren__20nsTableRowGroupFrameFP14nsIPresContextR19nsH
 #80  0x029e7324 in Reflow__20nsTableRowGroupFrameFP14nsIPresContextR19nsHTMLReflo
 #81  0x0297391c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #82  0x029cec74 in 0x29cec74
 #83  0x029caff0 in 0x29caff0
 #84  0x0297391c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #85  0x029dd280 in OuterReflowChild__17nsTableOuterFrameFP14nsIPresContextP8nsIFr
 #86  0x029df044 in Reflow__17nsTableOuterFrameFP14nsIPresContextR19nsHTMLReflowMe
 #87  0x02a40db8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #88  0x02a40818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #89  0x02a1bcac in 0x2a1bcac
 #90  0x02a1a19c in 0x2a1a19c
 #91  0x02a19b34 in 0x2a19b34
 #92  0x02a17e3c in 0x2a17e3c
 #93  0x02a40db8 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #94  0x02a40818 in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #95  0x02a1bcac in 0x2a1bcac
 #96  0x02a1a19c in 0x2a1a19c
 #97  0x02a19b34 in 0x2a19b34
 #98  0x02a17e3c in 0x2a17e3c
 #99  0x0297391c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #100 0x02b172f4 in CanvasFrame::Reflow(nsIPresContext *, nsHTMLReflowMetrics &,  &)
 #101 0x02ad42a0 in Reflow__19nsBoxToBlockAdaptorFR16nsBoxLayoutStateP14nsIPresCon
 #102 0x02ad3c8c in nsBoxToBlockAdaptor::DoLayout(nsBoxLayoutState &)
 #103 0x02ace81c in nsBox::Layout(nsBoxLayoutState &)
 #104 0x02b005cc in 0x2b005cc
 #105 0x02ace81c in nsBox::Layout(nsBoxLayoutState &)
 #106 0x02a8f0a4 in nsBoxFrame::Reflow(nsIPresContext *, nsHTMLReflowMetrics &,
 const &)
 #107 0x0297391c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #108 0x02a5e578 in Reflow__13ViewportFrameFP14nsIPresContextR19nsHTMLReflowMetric
 #109 0x029883f8 in Dispatch__17IncrementalReflowFP14nsIPresContextR19nsHTMLReflow
 #110 0x0299940c in PresShell::ProcessReflowCommands(int)
 #111 0x02998dc4 in HandlePLEvent(ReflowEvent *)
 #112 0x002ce070 in PL_HandleEvent
 #113 0x002cdedc in PL_ProcessPendingEvents
 #114 0x00274efc in nsEventQueueImpl::ProcessPendingEvents(void)
 #115 0x01acfc5c in nsMacNSPREventQueueHandler::ProcessPLEventQueue(void)
 #116 0x01acfb00 in nsMacNSPREventQueueHandler::RepeatAction(EventRecord const &)
 #117 0x0193ab14 in Repeater::DoRepeaters(EventRecord const &)
 #118 0x01ae6218 in nsMacMessagePump::DispatchEvent(int, EventRecord *)
 #119 0x01ae5f40 in nsMacMessagePump::DoMessagePump(void)
 #120 0x01ae58bc in nsAppShell::Run(void)
 #121 0x01aa253c in nsAppShellService::Run(void)
 #122 0x001a400c in main1(int, char **, nsISupports *)
 #123 0x001a4a4c in main

Thread 1:
 #0   0x9000582c in syscall
 #1   0x90515d9c in BSD_waitevent
 #2   0x9051576c in CarbonSelectThreadFunc
 #3   0x90021428 in _pthread_body

Thread 2:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x9051dda0 in CarbonOperationThreadFunc
 #3   0x90021428 in _pthread_body

Thread 3:
 #0   0x90042d68 in semaphore_timedwait_signal_trap
 #1   0x9003ef94 in _pthread_cond_wait
 #2   0x90233470 in TSWaitOnSemaphoreCommon
 #3   0x9023c298 in TimerThread
 #4   0x90021428 in _pthread_body

Thread 4:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x90233454 in TSWaitOnSemaphoreCommon
 #3   0x90248b2c in AsyncFileThread(void*)
 #4   0x90021428 in _pthread_body

Thread 5:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x90525b90 in CarbonInetOperThreadFunc
 #3   0x90021428 in _pthread_body

Thread 6:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x928ec28c in JNI_CreateJavaVM_Impl
 #3   0x928ec224 in JNI_CreateJavaVM_Impl
 #4   0x928a51fc in JVM_GetClassMethodsCount
 #5   0x90021428 in _pthread_body

Thread 7 Crashed:
 #0   0x929ba640 in eh_rest_world_r10
 #1   0x92857a38 in JVM_GetMethodIxLocalsCount
 #2   0x9285c128 in JVM_GetCPMethodNameUTF
 #3   0x928917f4 in JVM_MonitorNotifyAll
 #4   0x92886e6c in JVM_SetThreadPriority
 #5   0x92864964 in JVM_Send
 #6   0x9290114c in JNI_CreateJavaVM_Impl
 #7   0x928a51fc in JVM_GetClassMethodsCount
 #8   0x90021428 in _pthread_body

Thread 8:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x92845d80 in JVM_ArrayCopy
 #4   0x9285d620 in JVM_MonitorNotify
 #5   0x9285e2f8 in JVM_MonitorWait
 #6   0x057d8668 in 0x57d8668
 #7   0x057d668c in 0x57d668c
 #8   0x057d668c in 0x57d668c
 #9   0xa2843c38 in typeinfo name for std::bad_exception
 #10  0x92838bdc in JVM_CurrentTimeMillis
 #11  0x92878c28 in JVM_FindClassFromClass
 #12  0x92892c90 in JVM_IsSameClassPackage
 #13  0x9288cf70 in JVM_GetMethodIxExceptionTableEntry
 #14  0x928787a0 in JVM_FindClassFromClass
 #15  0x928a51fc in JVM_GetClassMethodsCount
 #16  0x90021428 in _pthread_body

Thread 9:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x92845d80 in JVM_ArrayCopy
 #4   0x9285d620 in JVM_MonitorNotify
 #5   0x9285e2f8 in JVM_MonitorWait
 #6   0x057d8668 in 0x57d8668
 #7   0x057d668c in 0x57d668c
 #8   0x057d65cc in 0x57d65cc
 #9   0x057d65cc in 0x57d65cc
 #10  0xa2843c38 in typeinfo name for std::bad_exception
 #11  0x92838bdc in JVM_CurrentTimeMillis
 #12  0x92878c28 in JVM_FindClassFromClass
 #13  0x92892c90 in JVM_IsSameClassPackage
 #14  0x9288cf70 in JVM_GetMethodIxExceptionTableEntry
 #15  0x928787a0 in JVM_FindClassFromClass
 #16  0x928a51fc in JVM_GetClassMethodsCount
 #17  0x90021428 in _pthread_body

Thread 10:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283de9c in JVM_NewInstance
 #3   0x92844e18 in JVM_GetClassLoader
 #4   0x92844ba4 in JVM_GetClassLoader
 #5   0x928a51fc in JVM_GetClassMethodsCount
 #6   0x90021428 in _pthread_body

Thread 11:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x9285eb40 in JVM_FillInStackTrace
 #4   0x92903300 in JVM_InitProperties
 #5   0x92903138 in JVM_InitProperties
 #6   0x928787a0 in JVM_FindClassFromClass
 #7   0x928a51fc in JVM_GetClassMethodsCount
 #8   0x90021428 in _pthread_body

Thread 12:
 #0   0x90074328 in mach_msg_trap
 #1   0x90006670 in mach_msg
 #2   0x9283ddf4 in JVM_NewInstance
 #3   0x9285eb40 in JVM_FillInStackTrace
 #4   0x9288890c in JVM_StartThread
 #5   0x92876c10 in JVM_FindLoadedClass
 #6   0x928787a0 in JVM_FindClassFromClass
 #7   0x928a51fc in JVM_GetClassMethodsCount
 #8   0x90021428 in _pthread_body

PPC Thread State:
  srr0: 0x929ba640 srr1: 0x0000f030                vrsave: 0x00000000
   xer: 0x00000000   lr: 0x92857a38  ctr: 0x928498e0   mq: 0x00000000
    r0: 0x00000030   r1: 0xf0386a40   r2: 0x92857a38   r3: 0x6c1631d8
    r4: 0x6c1631d8   r5: 0x6c163200   r6: 0x00000000   r7: 0x0000000c
    r8: 0xa2833a58   r9: 0x00000000  r10: 0x00000008  r11: 0x00000b18
   r12: 0x928498e0  r13: 0xa282bd1c  r14: 0x00000000  r15: 0xf0386b90
   r16: 0xa28320f8  r17: 0x00000000  r18: 0x00160000  r19: 0xa282bd1c
   r20: 0xf0386b60  r21: 0xa282bd1c  r22: 0xa282bd1c  r23: 0xa282bd1c
   r24: 0xbfff8f9c  r25: 0x0445b950  r26: 0x00000000  r27: 0x00000000
   r28: 0xa28305b0  r29: 0x04456b10  r30: 0x6c1631d8  r31: 0x9285bd1c

Comment 1

16 years ago
so like the stacks in bug 154699 that i believe this qualifies as a dup.
(see for instance stack in dup bug 165909)

*** This bug has been marked as a duplicate of 154699 ***
Status: UNCONFIRMED → RESOLVED
Last Resolved: 16 years ago
Resolution: --- → DUPLICATE
Product: Browser → Seamonkey
You need to log in before you can comment on or make changes to this bug.